summaryrefslogtreecommitdiffstats
path: root/share/zoneinfo
diff options
context:
space:
mode:
authorwollman <wollman@FreeBSD.org>2000-08-10 19:20:14 +0000
committerwollman <wollman@FreeBSD.org>2000-08-10 19:20:14 +0000
commitd6d9a982f7dd317b10ba897d89dfefadc3e2e3a6 (patch)
treee4c7ddd36e6ccdebcd5bfe7d5e14a840830ee2e4 /share/zoneinfo
parent8f29f4ff6f1f8a3f4bc94ab1c72c193e2a6df766 (diff)
parent6760ce32d877e2b3b7039c511eb092d8092d51ca (diff)
downloadFreeBSD-src-d6d9a982f7dd317b10ba897d89dfefadc3e2e3a6.zip
FreeBSD-src-d6d9a982f7dd317b10ba897d89dfefadc3e2e3a6.tar.gz
This commit was generated by cvs2svn to compensate for changes in r64496,
which included commits to RCS files with non-trunk default branches.
Diffstat (limited to 'share/zoneinfo')
-rwxr-xr-xshare/zoneinfo/yearistype.sh52
1 files changed, 31 insertions, 21 deletions
diff --git a/share/zoneinfo/yearistype.sh b/share/zoneinfo/yearistype.sh
index 809f549..62d6365 100755
--- a/share/zoneinfo/yearistype.sh
+++ b/share/zoneinfo/yearistype.sh
@@ -1,26 +1,36 @@
#! /bin/sh
-: '@(#)yearistype.sh 7.4'
+: '@(#)yearistype.sh 7.6'
+
+case $#-$1 in
+ 2-|2-0*|2-*[!0-9]*)
+ echo "$0: wild year - $1" >&2
+ exit 1 ;;
+esac
case $#-$2 in
- 2-even) case $1 in
- *[24680]) exit 0 ;;
- *) exit 1 ;;
- esac ;;
- 2-nonpres) case $1 in
- *[02468][048]|*[13579][26]) exit 1 ;;
- *) exit 0 ;;
- esac ;;
- 2-odd) case $1 in
- *[13579]) exit 0 ;;
- *) exit 1 ;;
- esac ;;
- 2-uspres) case $1 in
- *[02468][048]|*[13579][26]) exit 0 ;;
- *) exit 1 ;;
- esac ;;
- 2-*) echo "$0: wild type - $2" >&2
- exit 1 ;;
- *) echo "$0: usage is $0 year type" >&2
- exit 1 ;;
+ 2-even)
+ case $1 in
+ *[24680]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-nonpres|2-nonuspres)
+ case $1 in
+ *[02468][048]|*[13579][26]) exit 1 ;;
+ *) exit 0 ;;
+ esac ;;
+ 2-odd)
+ case $1 in
+ *[13579]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-uspres)
+ case $1 in
+ *[02468][048]|*[13579][26]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-*)
+ echo "$0: wild type - $2" >&2 ;;
esac
+
+echo "$0: usage is $0 year even|odd|uspres|nonpres|nonuspres" >&2
OpenPOWER on IntegriCloud